function [x, opt] = get_image(name, opt)


switch name
    
    case 'corridor'
        
        %http://www.uni-bonn.de/~uzs75l/MRTStereo/stereo_data/index.html
        %--> for image download
        
        fid = fopen('corridor.raw', 'r', 'ieee-be');
        
        % load left/right/left disparity data
        fseek(fid, (1-1)*256*256*4, 'bof');
        x.left  = double(fread(fid, [256 256], 'float32')');
        x.right = double(fread(fid, [256 256], 'float32')');
        
        fseek(fid, (9-1)*256*256*4, 'bof');
        x.true  = double(fread(fid, [256 256], 'float32')');
        
        % Image parameters
        opt.eta     = 2.0731e+03; % TV
        opt.minDisp = 1;
        opt.maxDisp = 11;
        
    case 'teddy'
        
        left  = color2gray(imread('left_teddy.ppm'));
        right = color2gray(imread('right_teddy.ppm'));
        true  = imread('truedisp_teddy.pgm');
        
        dispa=double(true)/4;
        ind=dispa==0;
        
        while(sum(ind(:))~=0)
            tmp=circshift(dispa,[0,1]);
            dispa(ind)=tmp(ind);
            ind=dispa==0;
        end
        
        x.true  = dispa(1:end-1,:);
        x.left  = double(left(1:end-1,:));
        x.right = double(right(1:end-1,:));
        
        % Image parameters
        opt.eta     = 2.2675e+04; % TV
        opt.minDisp = 12;
        opt.maxDisp = 52;
        
    case 'venus'
        
        left  = color2gray(imread('left_venus.ppm'));
        right = color2gray(imread('right_venus.ppm'));
        true  = color2gray(imread('truedisp_venus.pgm'));
        
        dispa = true./8;        
        ind = dispa==0;
        
        while(sum(ind(:))~=0)
            tmp=circshift(dispa,[0,1]);
            dispa(ind)=tmp(ind);
            ind=dispa==0;
        end
        
        x.true  = double(dispa(1:end-1,:));
        x.left  = double(left(1:end-1,:));
        x.right = double(right(1:end-1,:));
        
                
        % Image parameters
        opt.eta     = 3.5e+03; % TV
        opt.minDisp = 3;
        opt.maxDisp = 20;
        
    otherwise
        
        Error('Unable to find this image');
end

